How to update iPlayer to work on DSi v1.4.2 Firmware

Discussion in 'GBAtemp & Scene News' started by haddad, May 14, 2011.

  1. haddad
    OP

    haddad GBAtemp Advanced Maniac

    Member
    1,519
    16
    Aug 12, 2010
    Canada
  2. Fishaman P

    Fishaman P Speedrunner

    Member
    3,239
    505
    Jan 2, 2010
    United States
    Wisconsin
    Don't you mean put it into a 1.4.1 DSi? Or lower, or DSL, or DSP of course.
     
  3. Schnida

    Schnida Advanced Member

    Newcomer
    77
    0
    May 12, 2010
    Swaziland
    No. It must be on 1.4.2. I tried the update on 1.4.1. But it wasn't working.
     
  4. Jasper07

    Jasper07 GBAtemp Fan

    Member
    318
    0
    Aug 17, 2009
    Netherlands
    Parallel universe
    Wow this is quite fast for the iPlayer. Is this an official update?
     
  5. Schnida

    Schnida Advanced Member

    Newcomer
    77
    0
    May 12, 2010
    Swaziland
    It is on the official Site: dsiplayer.com. So: yes, it's an official update.
    And it's not really surprising, because the iPlayer ist from the Supercard-Team. And the Supercard Team is really fast with Firmware bypasses.
     
  6. haddad
    OP

    haddad GBAtemp Advanced Maniac

    Member
    1,519
    16
    Aug 12, 2010
    Canada
    U do not need a DSL or dsi 1.4.1 or lower, all u need is the 1.4.2 dsi and thats it
     
  7. Schnida

    Schnida Advanced Member

    Newcomer
    77
    0
    May 12, 2010
    Swaziland
    Ehm...what? That's a contradiction.
     
  8. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    Just to let you know guys, the firmware update is not required at all. You can delete the file update.dat. [​IMG]
    As you have seen in haddad's video it's still the v1.06.

    The fix is like on the iSmart MM and on the dstwo. It was done on the microSD part, kernel.
     
  9. Alexrose

    Alexrose Untitled

    Member
    783
    150
    Jan 20, 2009
    England
    I pity the fool who needs a video to inform them how to plug a cartridge into their DSi and click A.
     
  10. Nujui

    Nujui I need something to do.

    Member
    3,933
    131
    Aug 12, 2010
    United States
    Dreamland.
    Seriously, please don't start what happened in the Supercard thread.
     
  11. CompC

    CompC GBAtemp Fan

    Member
    367
    160
    May 28, 2009
    United States
    If they can make it work on 1.4.2 DSi, why can't they make it work on the 3DS :/

    But anyway, at least I can have it work on my DSi and my DS lite now…
     
  12. Nujui

    Nujui I need something to do.

    Member
    3,933
    131
    Aug 12, 2010
    United States
    Dreamland.
    They probably can, they either just don't want to release it or are waiting.